Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVoxel Class Reference

`#include <vtkVoxel.h>`

Inheritance diagram for vtkVoxel:

[legend]
Collaboration diagram for vtkVoxel:

[legend]
List of all members.

## Detailed Description

a cell that represents a 3D orthogonal parallelepiped

Date:
  2003/02/03 13:23:32

Revision:
  1.68

vtkVoxel is a concrete implementation of vtkCell to represent a 3D orthogonal parallelepiped. Unlike vtkHexahedron, vtkVoxel has interior angles of 90 degrees, and sides are parallel to coordinate axes. This results in large increases in computational performance.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (73%)
  - Law, Charles (6%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkVoxel.h)`
  - .`cxx` (`/Common/vtkVoxel.cxx)`

Examples:
  vtkVoxel (Examples)

Tests:
  vtkVoxel (Tests)

Definition at line 53 of file vtkVoxel.h.

## Public Types
typedef vtkCell3D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | GetEdgePoints (int edgeId, int *&pts)
virtual void | GetFacePoints (int faceId, int *&pts)
virtual float * | GetParametricCoords ()
int | GetCellType ()
int | GetCellDimension ()
int | GetNumberOfEdges ()
int | GetNumberOfFaces ()
vtkCell * | GetEdge (int edgeId)
vtkCell * | GetFace (int faceId)
int | CellBoundary (int subId, float pcoords[3], vtkIdList *pts)
void | Contour (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd)
int | EvaluatePosition (float x[3], float *closestPoint, int &subId, float pcoords[3], float &dist2, float *weights)
void | EvaluateLocation (int &subId, float pcoords[3], float x[3], float *weights)
int | IntersectWithLine (float p1[3], float p2[3], float tol, float &t, float x[3], float pcoords[3], int &subId)
int | Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts)
void | Derivatives (int subId, float pcoords[3], float *values, int dim, float *derivs)
## Static Public Methods
vtkVoxel * | New ()
int | IsTypeOf (const char *type)
vtkVoxel * | SafeDownCast (vtkObject *o)
void | InterpolationFunctions (float pcoords[3], float weights[8])
void | InterpolationDerivs (float pcoords[3], float derivs[24])
int * | GetEdgeArray (int edgeId)
int * | GetFaceArray (int faceId)
## Protected Methods
| vtkVoxel ()
| ~vtkVoxel ()
## Protected Attributes
vtkLine * | Line
vtkPixel * | Pixel

## Member Typedef Documentation

typedef vtkCell3D vtkVoxel::Superclass

| Reimplemented from vtkCell3D. Definition at line 57 of file vtkVoxel.h.

## Constructor & Destructor Documentation

vtkVoxel::vtkVoxel | ( |  | ) | `[protected]`

vtkVoxel::~vtkVoxel | ( |  | ) | `[protected]`

## Member Function Documentation

vtkVoxel* vtkVoxel::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkVoxel::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCell3D.

int vtkVoxel::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell3D.

virtual int vtkVoxel::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell3D.

vtkVoxel* vtkVoxel::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCell3D.

virtual void vtkVoxel::GetEdgePoints | ( | int | edgeId,
|  | int *& | pts
| ) | `[virtual]`

| See vtkCell3D API for description of these methods. Implements vtkCell3D.

virtual void vtkVoxel::GetFacePoints | ( | int | faceId,
|  | int *& | pts
| ) | `[virtual]`

| See vtkCell3D API for description of these methods. Implements vtkCell3D.

virtual float* vtkVoxel::GetParametricCoords | ( |  | ) | `[virtual]`

| See vtkCell3D API for description of these methods. Reimplemented from vtkCell3D.

int vtkVoxel::GetCellType | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 68 of file vtkVoxel.h. References VTK_VOXEL.

int vtkVoxel::GetCellDimension | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Reimplemented from vtkCell3D. Definition at line 69 of file vtkVoxel.h.

int vtkVoxel::GetNumberOfEdges | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 70 of file vtkVoxel.h.

int vtkVoxel::GetNumberOfFaces | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 71 of file vtkVoxel.h.

vtkCell* vtkVoxel::GetEdge | ( | int | edgeId | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

vtkCell* vtkVoxel::GetFace | ( | int | faceId | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkVoxel::CellBoundary | ( | int | subId,
|  | float | pcoords[3],
|  | vtkIdList * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkVoxel::Contour | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | verts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkVoxel::EvaluatePosition | ( | float | x[3],
|  | float * | closestPoint,
|  | int & | subId,
|  | float | pcoords[3],
|  | float & | dist2,
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkVoxel::EvaluateLocation | ( | int & | subId,
|  | float | pcoords[3],
|  | float | x[3],
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkVoxel::IntersectWithLine | ( | float | p1[3],
|  | float | p2[3],
|  | float | tol,
|  | float & | t,
|  | float | x[3],
|  | float | pcoords[3],
|  | int & | subId
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkVoxel::Triangulate | ( | int | index,
|  | vtkIdList * | ptIds,
|  | vtkPoints * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkVoxel::Derivatives | ( | int | subId,
|  | float | pcoords[3],
|  | float * | values,
|  | int | dim,
|  | float * | derivs
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkVoxel::InterpolationFunctions | ( | float | pcoords[3],
|  | float | weights[8]
| ) | `[static]`

| Voxel specific methods for interpolation and derivatives.

void vtkVoxel::InterpolationDerivs | ( | float | pcoords[3],
|  | float | derivs[24]
| ) | `[static]`

| Voxel specific methods for interpolation and derivatives.

int* vtkVoxel::GetEdgeArray | ( | int | edgeId | ) | `[static]`

| Voxel specific methods for interpolation and derivatives.

int* vtkVoxel::GetFaceArray | ( | int | faceId | ) | `[static]`

| Voxel specific methods for interpolation and derivatives.

## Member Data Documentation

vtkLine* vtkVoxel::Line`[protected]`

| Definition at line 104 of file vtkVoxel.h.

vtkPixel* vtkVoxel::Pixel`[protected]`

| Definition at line 105 of file vtkVoxel.h.

The documentation for this class was generated from the following file:

- Common/vtkVoxel.h